import * as i0 from "@angular/core";
/** @internal */
export declare enum LfMessageToastTypes {
    Error = "Error",
    Warning = "Warning",
    Validation = "Validation",
    Informational = "Informational"
}
/** @internal */
export interface LfToastMessage {
    message: string;
    timeToShow?: number;
    type: LfMessageToastTypes;
    noIcon: boolean;
    hideMessage?: boolean;
    id?: string;
}
/** @internal */
export declare class LfToastMessageComponent {
    set messages(messages: LfToastMessage[]);
    allMessages: LfToastMessage[];
    constructor();
    _computeTypeIcon(type: LfMessageToastTypes): string;
    _closeToast(messageId: string): void;
    _removeToast(messageId: string): void;
    clearToasts(toastFilter?: LfMessageToastTypes): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LfToastMessageComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LfToastMessageComponent, "lf-toast-message", never, { "messages": { "alias": "messages"; "required": false; }; }, {}, never, never, false, never>;
}
